
Redmine - Defect #11426

Filtering with Due Date in less than N days should show overdue issues

2012-07-17 15:17 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed Affected version: 1.3.2

Description

I appreciate that this is similar to other requests about date ranges and so forth, but I believe it is a distinct issue.

We have an issues filter that shows items due in the next 14 days (we use it with the reminder emails plugin). The query includes a

filter "Due Date" + "in less than" + "14 days".

Some items are overdue - that is, in my mind, they are due in -n days. As any negative integer is less than 14, my assumption was

that they would be included - however they're not.

Is this expected behaviour? I appreciate that this may be a decision taken during development rather than a bug, but if so then I

cannot see a way to include items that are overdue in the same query.

If this is expected behaviour, I suppose this could be merged with #3868 (it could be achieved with two filters combined with an OR

operator), however I suspect that I'm not the only person who would think that -n < n in this respect.

Redmine 1.3.2, MySQL 5.5 backend.

Related issues:

Related to Redmine - Patch #12257: German Translation for #11426 Closed

Has duplicate Redmine - Defect #12180: Due date filterin works in an unexpect... Closed

Associated revisions

Revision 10768 - 2012-10-30 09:21 - Jean-Philippe Lang

Changes how relative date filters work and adds specific filters for filtering dates in past/next n days (#11426).

Revision 10769 - 2012-10-30 09:21 - Jean-Philippe Lang

Filling locales (#11426).

History

#1 - 2012-07-18 08:17 - Jean-Philippe Lang

- Status changed from New to Confirmed

#2 - 2012-10-30 09:27 - Jean-Philippe Lang

- Subject changed from Due Date issues filter does not allow for negative values to Filtering with Due Date in less than N days should show overdue

issues

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

- Resolution set to Fixed

Fixed in r10768. The behaviour of the existing filter was changed as you proposed and a new filter was added to specificaly filter dates in the N next

days:

"in less than 3 days": [date] <= today + 3 days

"in the next 3 days": today <= [date] <= today + 3 days

#3 - 2012-12-05 15:22 - Egidijus Zideckas
https://www.redmine.org/issues/3868
https://www.redmine.org/projects/redmine/repository/svn/revisions/10768


-1. Let me explain why.

To my mind list of available date operators is too big, hard to figure out for inexperience user. This change makes it even bigger longer :(

I tried to figure out differences between two operators while making new labels translation, at first new filters seem just duplicates:

"less than days 3 ago" : today - 3 <= [date]

"in the past 3 days" : today - 3 <= [date] <= today

Only after checking source code found this thin difference.

I'd stick with less but clear to understand list operators which are covering 95% of cases.

#4 - 2012-12-05 15:40 - Egidijus Zideckas

At least I propose to change names of operators:

"less than days 3 ago" =>  "later than 3 days ago"

"in less than 3 days" => "earlier than in 3 days"

Cheers!
